# Interface ExtendedLogEntry

All Superinterfaces:
  `LogEntry`

public interface ExtendedLogEntry extends LogEntry
Extends the OSGi Log Services `LogEntry` object to provide additional context information. Otherwise similarly accessible by registering a `LogListener` object.

Since:
  3.7
See Also:
  - `LogListener`
Thread Safe:

## Method Summary

Modifier and Type
Method
Description
`Object`
`getContext()`
Returns the context associated with this `LogEntry` object.
`String`
`getLoggerName()`
Returns the logger name associated with this `LogEntry` object.
`long`
`getSequenceNumber()`
Returns the log sequence number associated with this `LogEntry` object.
`long`
`getThreadId()`
Returns the thread id of the logging thread associated with this `LogEntry` object.
`String`
`getThreadName()`
Returns the thread name of the logging thread associated with this `LogEntry` object.

### Methods inherited from interface LogEntry

`getBundle, getException, getLevel, getLocation, getLogLevel, getMessage, getSequence, getServiceReference, getThreadInfo, getTime`

## Method Details

### getLoggerName

String getLoggerName()
Returns the logger name associated with this `LogEntry` object.

Specified by:
  `getLoggerName` in interface `LogEntry`
Returns:
  `String` containing the logger name associated with this `LogEntry` object;`null` if no logger name is associated with this `LogEntry` object.

### getContext

Object getContext()
Returns the context associated with this `LogEntry` object.

Returns:
  `Object` containing the context associated with this `LogEntry` object;`null` if no context is associated with this `LogEntry` object.

### getThreadId

long getThreadId()
Returns the thread id of the logging thread associated with this `LogEntry` object.

Returns:
  `long` containing the thread id associated with this `LogEntry` object.

### getThreadName

String getThreadName()
Returns the thread name of the logging thread associated with this `LogEntry` object.

Returns:
  `String` containing the message associated with this `LogEntry` object.

### getSequenceNumber

long getSequenceNumber()
Returns the log sequence number associated with this `LogEntry` object.

Returns:
  `long` containing the sequence number associated with this `LogEntry` object.